package com.ho.user.mapper;



import com.ho.user.api.entity.PermStationRelation;
import com.ho.user.vo.req.StationPermissionReqVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yy
* @description 针对表【perm_station_relation】的数据库操作Mapper
* @createDate 2023-06-06 14:37:06
* @Entity entity.PermStationRelation
*/
@Mapper
public interface PermStationRelationMapper{
    // 增
    int insertSelective(PermStationRelation record);

    // 删
    int deleteByPrimaryKey(Integer id);

    //批量删除

    // 改
    int updateByPrimaryKeySelective(PermStationRelation record);

    int updateByPrimaryKey(PermStationRelation record);

    // 根据电站ID查询
    List<PermStationRelation> selectByStationId(Integer stationId);

    // 根据菜单ID查询
    List<PermStationRelation> selectByPermissionId(Integer permissionId);

    void deleteBatch(@Param("ids") List<Integer> ids);

    void deleteBatchStationId(@Param("ids") List<Integer> ids);

    List<PermStationRelation> selectAll(StationPermissionReqVo vo);
}




